<div class="page-header">
    <h1>
        Top Guitar Players
        <div class="pull-right hidden-xs hidden-sm">
            <button class="btn" (click)="toggleListMode()">
                <i class="fa" [ngClass]="{'fa-bars': isListMode, 'fa-th': !isListMode}"></i>
            </button>
        </div>
    </h1>
</div>

<my-player-list 
    *ngIf="isListMode"
    [players]="players" 
    (onPlayerSelected)="selectPlayer($event)">
</my-player-list>

<my-player-table 
    *ngIf="!isListMode"
    [players]="players" 
    (onPlayerSelected)="selectPlayer($event)">
</my-player-table>